nisdefaults(1)

NAME
nisdefaults - display NIS+ default values

SYNOPSIS
nisdefaults [ -adghprstv ]

DESCRIPTION
nisdefaults prints the default values which are used by the NIS+ tools and NIS+ library functions. With no options specified, all defaults will be printed in a verbose format. With options, this defaults will be printed in a form suitable for shell scripts.

OPTIONS

-a  Print all defaults in a terse format.

-d  Print the default domain name.

-g  Print the default group name.

-h  Print the default host name.

-p  Print the default principal name.

-r  Print the default access rights for new objects.

-s  Print the default directory search path.

-t  Print the default time to live value.

-v  Print the defaults in a verbose format. This prepends an identifying string to the output.

ENVIRONMENT
Several environment variables affect the defaults associated with a process.

NIS_DEFAULTS

This variable contains a defaults string that will override the NIS+ standard defaults. The defaults string is a series of tokens separated by colons. These tokens represent the default values to be used for the generic object properties. All of the legal tokens are described below.

ttl=time
    This token sets the default time to live for objects that are created. The value time is specified in the format as defined by the nischttl(1) command.

owner=ownername
    This token specifies that the NIS+ principal ownername should own new objects. The default for this value is the principal who is executing the command.

group=groupname
    This token specifies that the group groupname should be the group owner for created objects. The default is no group owner.

access=rights
    This token specifies the set of access rights that are to be granted for created objects. The value rights is specified in the format as defined by the nischmod(1) command.

NIS_GROUP
    This variable contains the name of the local NIS+ group. If the name is not fully qualified, the default domain will be appended to it.

NIS_PATH
    This variable overrides the default NIS+ directory search path. It contains an ordered list of directories separated by ':' (colon) characters. The '$' character is treated specially. Directory names that end in '$' have the default domain appended to them, and a '$' by itself is replaced by the list of directories between the default domain and the global root.

SEE ALSO
nischttl(1), nischmod(1)

AUTHOR
This version of the nisdefaults command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.